<?php
defined('C5_EXECUTE') or die(_("Access Denied."));

class RemoToolbarButtonPackage extends Package {

	protected $pkgHandle = 'remo_toolbar_button';
	protected $appVersionRequired = '5.5.1';
	protected $pkgVersion = '1.0.0';
	
	public function getPackageDescription() {
		return t("Toolbar Button Example.");
	}
	
	public function getPackageName() {
		return t("Toolbar Button");
	}

   public function on_start() {
      if(version_compare(APP_VERSION,'5.4.1.1', '>')){
         $ihm = Loader::helper('concrete/interface/menu');
         $uh = Loader::helper('concrete/urls');

         $ihm->addPageHeaderMenuItem('help', t('Help'), 'left', array(
            'dialog-title'    => t('Help'),
            'href'            => $uh->getToolsUrl('help', 'remo_toolbar_button'),
            'dialog-on-open'  => "$(\'#ccm-page-edit-nav-help\').removeClass(\'ccm-nav-loading\')",
            'dialog-modal'    => "false",
            'dialog-width'    => '200',
            'dialog-height'   => "160",
            'class'           => 'dialog-launch'
         ), 'remo_toolbar_button');         
      }   
   }
   
}